/**
 * 日志类.
 *
 * @author  yusangeng@outlook.com
 */
import { KonphGlobal } from "konph";
import { IFilter } from "./Filter";
import { IDriver } from "./Driver";
import { ChivyConfig } from "./config";
declare type Constructor<T> = new (...args: any[]) => T;
declare type C = Constructor<IDriver>;
declare type F = Constructor<IFilter>;
/**
 * 日志类.
 *
 * @export
 * @class Logger
 */
export default class Logger {
    static readonly injector: {
        Driver: C;
        Filter: F;
        getClasses(): [C, F];
    };
    private readonly moduleName;
    private readonly driver;
    private readonly filter;
    constructor(moduleName: string, conf?: KonphGlobal<ChivyConfig>);
    debug: (...params: any[]) => boolean;
    info: (...params: any[]) => boolean;
    warn: (...params: any[]) => boolean;
    error: (...params: any[]) => boolean;
    print: (...params: any[]) => void;
    private printByLevel;
}
export {};
